﻿Public Class Form1

#Region " General Project Information "
    'Name: Lingma Acheson
    'Date: November, 2008
    'Purpose: To learn about picture boxes and Arrays
#End Region


#Region " Global variables "
    Dim strImageNames(3) As String 'Store the names of 4 images
    Dim intCurrentImage As Integer 'Keep track of index of current image
#End Region


#Region " Form load sub procedure "
    'This function will be called as soon as the program starts.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Assign an image to each of the array element
        'The images must be in the bin->debug folder for the program to find them
        strImageNames(0) = "BlueHills.jpg"
        strImageNames(1) = "Sunset.jpg"
        strImageNames(2) = "WaterLilies.jpg"
        strImageNames(3) = "Winter.jpg"

        intCurrentImage = 0 'set the index to 0, which means the current image is element 0

        DisplayImage()
    End Sub
#End Region


#Region " btnNext button click "
    'When the next button is clicked, increase the array index.
    'If the index goes more than 3, set the index back to 0, in this case,
    'the images will loop back
    Private Sub btnNext_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNext.Click
        intCurrentImage += 1
        'intCurrentImage = intCurentImage + 1

        If intCurrentImage > 3 Then
            intCurrentImage = 0
        End If

        DisplayImage() 'call the function to display the image
    End Sub
#End Region

#Region " btnPrevious button click "
    'When the previous button is clicked, decrease the array index.
    'If the index goes less than 0, set the index back to 3, in this case,
    'the images will loop back
    Private Sub btnPrevious_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrevious.Click
        intCurrentImage -= 1

        If intCurrentImage < 0 Then
            intCurrentImage = 3
        End If

        DisplayImage()
    End Sub
#End Region

#Region " DisplayImage sub procedure "
    'Find the image name according to the array index, bring it from the image file to the program and
    'set it to be the image of the pbxSamples.
    Private Sub DisplayImage()
        Me.picSamples.Image = Image.FromFile(strImageNames(intCurrentImage))
    End Sub
#End Region

End Class
